> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# AutoDepositStatus

> AutoDepositStatus is called by the bidder node to get the status of the auto deposit.



## OpenAPI

````yaml /v1.1.0/api-reference/bidder-openapi-spec.json get /v1/bidder/auto_deposit_status
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.1.6-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/auto_deposit_status:
    get:
      summary: AutoDepositStatus
      description: >-
        AutoDepositStatus is called by the bidder node to get the status of the
        auto deposit.
      operationId: Bidder_AutoDepositStatus
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1AutoDepositStatusResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1AutoDepositStatusResponse:
      type: object
      example:
        isAutodepositEnabled: true
        window_balances:
          - depositedAmount: '1000000000000000000'
            window_number: 1
          - depositedAmount: '1000000000000000000'
            window_number: 2
          - depositedAmount: '1000000000000000000'
            window_number: 3
      properties:
        windowBalances:
          type: array
          items:
            $ref: '#/components/schemas/bidderapiv1AutoDeposit'
        isAutodepositEnabled:
          type: boolean
      description: AutoDeposit status from the bidder registry.
      title: AutoDeposit status response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    bidderapiv1AutoDeposit:
      type: object
      properties:
        depositedAmount:
          type: string
          description: Deposited amount of ETH in wei.
        windowNumber:
          type: string
          format: uint64
          description: Window number for the deposit.
        isCurrent:
          type: boolean
          description: Indicates if the window is the current window.
        startBlockNumber:
          type: string
          format: uint64
          description: The initial L1 block number for the window.
        endBlockNumber:
          type: string
          format: uint64
          description: The final L1 block number for the window.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````